
from ConfigParser import RawConfigParser
import os

class configFile( RawConfigParser ):
	def __init__(self):
		RawConfigParser.__init__(self)
		
		self.add_section('Client')
		self.set('Client','Server','')
		self.set('Client','Name','')
		self.set('Client','ConnectOnStart','no')
		self.set('Client','CallbackPort','7601')
		
		self.add_section('Common')
		self.set('Common','Port','7600')
		
		self.read(os.path.expanduser('~/.kblackboard'))
	
	def write(self):
		f = open(os.path.expanduser('~/.kblackboard'),'w')
		RawConfigParser.write(self,f)
	
	def set(self, section, key, value):
		if isinstance( value , bool ):
			if value:
				value = "yes"
			else:
				value = "no"
		
		RawConfigParser.set(self,section,key,value)

KBlackBoardConfig = configFile()