# -*- coding: utf-8 -*-


from qt import *

from configFile import KBlackBoardConfig


class frmFile(QDialog):
	def __init__(self,parent = None,name = None,modal = 0,fl = 0):
		QDialog.__init__(self,parent,name,modal,fl)
		
		if not name:
			self.setName("frmFile")
		
		layout12 = QVBoxLayout(self,11,6,"layout12")
		
		layout11 = QHBoxLayout(None,0,6,"layout11")
		
		layout10 = QVBoxLayout(None,0,6,"layout10")
		
		layout1 = QHBoxLayout(None,0,6,"layout1")
		
		self.textLabel1 = QLabel(self,"textLabel1")
		layout1.addWidget(self.textLabel1)
		
		self.txtName = QLineEdit(self,"txtName")
		layout1.addWidget(self.txtName)
		layout10.addLayout(layout1)
		
		layout9 = QHBoxLayout(None,0,6,"layout9")
		
# 		self.textLabel2 = QLabel(self,"textLabel2")
# 		layout9.addWidget(self.textLabel2)
# 		
# 		self.cmbProgram = QComboBox(0,self,"cmbProgram")
# 		self.cmbProgram.setSizePolicy(QSizePolicy(7,0,0,0,self.cmbProgram.sizePolicy().hasHeightForWidth()))
# 		self.cmbProgram.setEditable(1)
# 		self.cmbProgram.setAutoCompletion(1)
# 		self.cmbProgram.setDuplicatesEnabled(0)
# 		
# 		for program in KBlackBoardConfig.get("Common","Programs").split(';') :
# 			self.cmbProgram.insertItem( program )
# 		
# 		layout9.addWidget(self.cmbProgram)
# 		layout10.addLayout(layout9)
		
		
		
		
		self.chkEdit = QCheckBox(self,"chkEdit")
		layout10.addWidget(self.chkEdit)
		
		self.chkUpdate = QCheckBox(self,"chkUpdate")
		layout10.addWidget(self.chkUpdate)
		layout11.addLayout(layout10)
		spacer2 = QSpacerItem(21,21,QSizePolicy.Fixed,QSizePolicy.Minimum)
		layout11.addItem(spacer2)
		
		layout3 = QVBoxLayout(None,0,6,"layout3")
		
		self.btnOk = QPushButton(self,"btnOk")
		layout3.addWidget(self.btnOk)
		
		self.btnCancel = QPushButton(self,"btnCancel")
		layout3.addWidget(self.btnCancel)
		spacer1 = QSpacerItem(31,41,QSizePolicy.Minimum,QSizePolicy.Minimum)
		layout3.addItem(spacer1)
		layout11.addLayout(layout3)
		layout12.addLayout(layout11)
		
		self.line1 = QFrame(self,"line1")
		self.line1.setFrameShape(QFrame.HLine)
		self.line1.setFrameShadow(QFrame.Sunken)
		self.line1.setFrameShape(QFrame.HLine)
		layout12.addWidget(self.line1)
		
		layout7 = QVBoxLayout(None,0,6,"layout7")
		
		self.textLabel4 = QLabel(self,"textLabel4")
		layout7.addWidget(self.textLabel4)
		
		self.txtLog = QTextEdit(self,"txtLog")
		self.txtLog.setSizePolicy(QSizePolicy(7,7,0,0,self.txtLog.sizePolicy().hasHeightForWidth()))
		self.txtLog.setHScrollBarMode(QTextEdit.AlwaysOff)
		self.txtLog.setWrapPolicy(QTextEdit.AtWordBoundary)
		self.txtLog.setReadOnly(1)
		self.txtLog.setAutoFormatting(QTextEdit.AutoNone)
		layout7.addWidget(self.txtLog)
		layout12.addLayout(layout7)
		
		self.languageChange()
		
		self.resize(QSize(603,480).expandedTo(self.minimumSizeHint()))
		self.clearWState(Qt.WState_Polished)
		
		self.connect(self.btnOk,SIGNAL("clicked()"),self.accept)
		self.connect(self.btnCancel,SIGNAL("clicked()"),self.reject)
		
	def languageChange(self):
		self.setCaption(self.__tr("File properties"))
		self.textLabel1.setText(self.__tr("Name:"))
		self.chkEdit.setText(self.__tr("Allow clients to edit this file"))
		self.chkUpdate.setText(self.__tr("Send updated file to clients automatically"))
		self.btnOk.setText(self.__tr("OK"))
		self.btnCancel.setText(self.__tr("Cancel"))
		self.textLabel4.setText(self.__tr("Logged events:"))
		
		
	def __tr(self,s,c = None):
		return qApp.translate("frmFile",s,c)
