
from ConfigParser import RawConfigParser
import os

class configFile( RawConfigParser ):
	def __init__(self):
		RawConfigParser.__init__(self)
		
		self.add_section('Common')
		self.set('Common','Port','7600')
		self.set('Common','Programs','kpresenter;kig')
		self.set('Common','Editor','kfmclient exec "%s"')
		self.set('Common','Viewer','kfmclient openURL "%s"')
		self.set('Common','Printer','kprinter "%s"')
		
		self.add_section('Server')
		self.set('Server','Description','')
		self.set('Server','List','')
		
		self.read(os.path.expanduser('~/.kblackboard'))
	
	def write(self):
		f = open(os.path.expanduser('~/.kblackboard'),'w')
		RawConfigParser.write(self,f)
	
	def set(self, section, key, value):
		if isinstance( value , bool ):
			if value:
				value = "yes"
			else:
				value = "no"
		
		RawConfigParser.set(self,section,key,value)

KBlackBoardConfig = configFile()